Has patch: No
Complexity:
Subject: CsrfProtectionAspect should not use removed environment methods.
Description

Related issues:
related to TYPO3.Neos - Bug # 36962: Most ExtDirect calls fail Resolved 2012-05-08

Associated revisions
Revision 34f37250 - 2012-05-09 18:22 - Christian Müller

[BUGFIX] Fix use of removed Environment methods in CsrfProtectionAspect

CsrfProtectionAspect now no longer uses methods from environment that
no longer exist since the environment cleanup. It tries to get the
arguments from the active RequestHandler instead.

Change-Id: I9f5dba02c3253d2530ff97dac08e30223deeae67
Fixes: #37018
Releases: 1.1

History
#1 - 2012-05-09 18:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11118

#2 - 2012-05-09 18:21 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11118

#3 - 2012-05-09 18:23 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11118

#4 - 2012-05-10 14:38 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:34f3725060cc4de6c386481708fbe695550c8b07.
